#!/bin/bash

# Ne koristim 'which' iako putanje nisu uvijek standardne
IPTSTATEDAT=$(mktemp)
# Zabbix_sender putanja ce ovisiti o paketu zabbix_agent !!
ZABBIX_SENDER="/usr/bin/zabbix_sender"
ZABBIX_CONF="/etc/zabbix/zabbix_agentd.conf"

function zsend {
	$ZABBIX_SENDER -c $ZABBIX_CONF -k $1 -o $2 > /dev/null 2>&1
	}

sudo /usr/sbin/iptstate --single --totals --sort s > $IPTSTATEDAT

	zsend iptstate.tcp `grep TCP $IPTSTATEDAT|awk '{print $6}'`
	zsend iptstate.tcp.syn `grep SYN $IPTSTATEDAT|wc -l`
	zsend iptstate.tcp.timewait `grep TIME_WAIT $IPTSTATEDAT|wc -l`
	zsend iptstate.tcp.established `grep ESTABLISHED $IPTSTATEDAT|wc -l`
	zsend iptstate.tcp.close `grep CLOSE $IPTSTATEDAT|wc -l`
	zsend iptstate.udp `grep UDP $IPTSTATEDAT|awk '{print $8}'`
	zsend iptstate.icmp `grep ICMP $IPTSTATEDAT|awk '{print $10}'`
	zsend iptstate.other `grep Other $IPTSTATEDAT|awk '{print $12}'`

rm -f $IPTSTATEDAT
echo "1"
